/* tslint:disable */
/* eslint-disable */
/**
 * OpenAPI definition
 * No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)
 *
 * The version of the OpenAPI document: v0
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import { exists, mapValues } from '../runtime';
import {
    PetDto,
    PetDtoFromJSON,
    PetDtoFromJSONTyped,
    PetDtoToJSON,
} from './';

/**
 * 
 * @export
 * @interface PersonDto
 */
export interface PersonDto {
    /**
     * 
     * @type {string}
     * @memberof PersonDto
     */
    id: string;
    /**
     * 
     * @type {string}
     * @memberof PersonDto
     */
    name: string;
    /**
     * 
     * @type {number}
     * @memberof PersonDto
     */
    age?: number;
    /**
     * 
     * @type {string}
     * @memberof PersonDto
     */
    nickName?: string;
    /**
     * 
     * @type {Array<string>}
     * @memberof PersonDto
     */
    interests?: Array<string>;
    /**
     * 
     * @type {Array<PetDto>}
     * @memberof PersonDto
     */
    pets?: Array<PetDto>;
}

export function PersonDtoFromJSON(json: any): PersonDto {
    return PersonDtoFromJSONTyped(json, false);
}

export function PersonDtoFromJSONTyped(json: any, ignoreDiscriminator: boolean): PersonDto {
    if ((json === undefined) || (json === null)) {
        return json;
    }
    return {
        
        'id': json['id'],
        'name': json['name'],
        'age': !exists(json, 'age') ? undefined : json['age'],
        'nickName': !exists(json, 'nickName') ? undefined : json['nickName'],
        'interests': !exists(json, 'interests') ? undefined : json['interests'],
        'pets': !exists(json, 'pets') ? undefined : ((json['pets'] as Array<any>).map(PetDtoFromJSON)),
    };
}

export function PersonDtoToJSON(value?: PersonDto | null): any {
    if (value === undefined) {
        return undefined;
    }
    if (value === null) {
        return null;
    }
    return {
        
        'id': value.id,
        'name': value.name,
        'age': value.age,
        'nickName': value.nickName,
        'interests': value.interests,
        'pets': value.pets === undefined ? undefined : ((value.pets as Array<any>).map(PetDtoToJSON)),
    };
}


